faad2-2.8.8-1.3.aarch64.rpm


Advertisement

Description

faad2 - C library and frontend for decoding MPEG2/4 AAC

Property Value
Distribution openSUSE Leap 42.3
Repository Packman all
Package name faad2
Package version 2.8.8
Package release 1.3
Package architecture aarch64
Package type rpm
Installed size 90.82 KB
Download size 31.57 KB
Official Mirror packman.inode.at
FAAD 2 is a LC, MAIN and LTP profile, MPEG2 and MPEG-4 AAC decoder, completely
written from scratch. FAAD 2 is licensed under the GPL.

Alternatives

Package Version Architecture Repository
faad2-2.8.8-1.3.armv7hl.rpm 2.8.8 armv7hl Packman
faad2-2.8.8-1.3.x86_64.rpm 2.8.8 x86_64 Packman
faad2-2.7-8.36.x86_64.rpm 2.7 x86_64 VLC
faad2 - - -

Requires

Name Value
ld-linux-aarch64.so.1()(64bit) -
ld-linux-aarch64.so.1(GLIBC_2.17)(64bit) -
libc.so.6()(64bit) -
libc.so.6(GLIBC_2.17)(64bit) -
libfaad.so.2()(64bit) -
libfaad2 = 2.8.8
libm.so.6()(64bit) -
libm.so.6(GLIBC_2.17)(64bit) -

Provides

Name Value
faad2 = 2.8.8-1.3
faad2(aarch-64) = 2.8.8-1.3

Download

Type URL
Binary Package faad2-2.8.8-1.3.aarch64.rpm
Source Package faad2-2.8.8-1.3.src.rpm

Install Howto

  1. Add the Packman repository:
    # zypper addrepo http://packman.inode.at/suse/openSUSE_Leap_42.3/ packman
  2. Install faad2 rpm package:
    # zypper install faad2

Files

Path
/usr/bin/faad
/usr/share/doc/packages/faad2/AUTHORS
/usr/share/doc/packages/faad2/COPYING
/usr/share/doc/packages/faad2/ChangeLog
/usr/share/doc/packages/faad2/NEWS
/usr/share/doc/packages/faad2/README
/usr/share/doc/packages/faad2/TODO
/usr/share/man/man1/faad.1.gz

Changelog

2017-12-30 - zaitor@opensuse.org
- Update to version 2.8.8:
* Add new files to Makefile.am.
- Changes from version 2.8.7:
* MSVC build fixes.
* Fixed a coulple bugs.
2017-11-26 - zaitor@opensuse.org
- Update to version 2.8.6:
* No changelog provided by upstream.
- Rebase faad2-PACKAGE_VERSION.patch.
- Add faad2-pic-fix.patch: Fix non-PIC objects in libmp4ff.a,
following this, trim the CFLAGS export down to just
- fno-strict-aliasing.
- Add %%{libname} = %%{version} Requires to devel subpackage, yet
a change to silence rpmlint.
- Add %%{lib}_drm%%{major} = %%{version} Requires aswell to the
devel subpackage.
2017-10-09 - hillwood@opensuse.org
- Update to 2.8.5
* another package fix
* minor fix to released packages
* better autotools support
* PNS bug fixed
* New MP4 input module
* NeAACDecGetVersion: new api function to get version and copyright strings
* seeking support for MP4 files
* patches and fixed bugs
- Drop faad2-reproducible-build.patch, upstream merge it.
- Update faad2-visibility.patch.
2017-02-26 - zaitor@opensuse.org
- Add faad2-reproducible-build.patch: Remove
'__DATE__' and '__TIME__' to make build more reproducible.
Following this, remove sed hack to inject date/time into build.
2014-07-14 - olaf@aepfle.de
- disable xmms also in sle11, fails to compile also there
2014-05-08 - crrodriguez@opensuse.org
- faad2-visibility.patch Only public symbols should be
exported + fix broken C99 test
2012-04-03 - reddwarf@opensuse.org
- Revert previous commit. It just broke something that worked.
2012-03-26 - hvogel@opensuse.org
- We only build xmms for evergreen so only build the xmms
plugin up to 11.2
2012-01-24 - reddwarf@opensuse.org
- Change License tag to SPDX
- Remove unneeded autoreconf call
- Run spec-cleaner
- Remove unneeded BuildRequires
2011-03-30 - reddwarf@opensuse.org
- Remove __DATE__ references to help build-compare

See Also

Package Description
farstream-0_1-data-0.1.2-2.5.noarch.rpm GStreamer 0.10 modules and libraries for videoconferencing -- Codec preferences
farstream-0_1-data-0.1.2-2.8.noarch.rpm GStreamer 0.10 modules and libraries for videoconferencing -- Codec preferences
farstream-0_1-devel-0.1.2-2.5.aarch64.rpm GStreamer 0.10 modules and libraries for videoconferencing -- Development files
farstream-0_1-devel-0.1.2-2.5.armv7hl.rpm GStreamer 0.10 modules and libraries for videoconferencing -- Development files
farstream-0_1-devel-0.1.2-2.8.x86_64.rpm GStreamer 0.10 modules and libraries for videoconferencing -- Development files
fbdesk-1.4.1-5.7.x86_64.rpm Icon Manager for Fluxbox
fdk-aac-devel-0.1.6-1.1.aarch64.rpm Development headers for Fraunhofer FDK AAC
fdk-aac-devel-0.1.6-1.1.armv7hl.rpm Development headers for Fraunhofer FDK AAC
fdk-aac-devel-0.1.6-1.2.x86_64.rpm Development headers for Fraunhofer FDK AAC
ffgtk-0.7.8-6.4.x86_64.rpm FRITZ!Box Fax-Software and Call-Monitor!
ffhevc-3.6.4-1.1.noarch.rpm A small shell script for encoding to H.265/HEVC with ffmpeg
ffhevc-3.6.4-1.2.noarch.rpm A small shell script for encoding to H.265/HEVC with ffmpeg
ffmpeg-2-libavcodec-devel-2.8.15-9.1.aarch64.rpm Development files for FFmpeg's codec library
ffmpeg-2-libavcodec-devel-2.8.15-9.1.armv7hl.rpm Development files for FFmpeg's codec library
ffmpeg-2-libavcodec-devel-2.8.15-9.2.x86_64.rpm Development files for FFmpeg's codec library
Advertisement
Advertisement